﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// make the player move left/right, jump, flips the player direction while moving
/// </summary>
public class PlayerCtrl : MonoBehaviour
{
    //1. declare a private variable of type SpriteRenderer and name it sr DONE
    //2. get a reference to the SpriteRenderer component and store it in sr DONE
    //3. write code inside MoveHorizontal to flip the player
    //4. Test  

    [Tooltip("this is a positive integer which speed up the player movement")]
    public int speedBoost;  // set this to 5
    public float jumpSpeed; // set this to 600

    Rigidbody2D rb;
    SpriteRenderer sr;


    void Start()
    {
        rb = GetComponent<Rigidbody2D>();
        sr = GetComponent<SpriteRenderer>();
    }

    void Update()
    {
        float playerSpeed = Input.GetAxisRaw("Horizontal"); // value will be 1, -1 or 0
        playerSpeed *= speedBoost;

        if (playerSpeed != 0)
            MoveHorizontal(playerSpeed);
        else
            StopMoving();

        if (Input.GetButtonDown("Jump"))
            Jump();
    }

    void MoveHorizontal(float playerSpeed)
    {
        rb.velocity = new Vector2(playerSpeed, rb.velocity.y);

        if (playerSpeed < 0)
            sr.flipX = true;
        else if(playerSpeed > 0)
            sr.flipX = false;
    }

    void StopMoving()
    {
        rb.velocity = new Vector2(0, rb.velocity.y);
    }

    void Jump()
    {
        rb.AddForce(new Vector2(0, jumpSpeed)); // simply make the player jump in the y axis or upwards
    }
}
